﻿<?xml version="1.0" encoding="UTF-8"?>
<!-- Leave line 1 in the template file -->

<!-- Leave lines 5 to 10 in the template file -->
<#-- Import common modules to quickly access their substance and study content -->
<#import "macros_common_general.ftl" as com>
<#import "macros_common_studies_and_summaries.ftl" as studyandsummaryCom>
<#import "common_module_environmental_hazard_assessment.ftl" as keyEnvironmentalHazardAssessment>
<#import "common_module_active_substance_component_identity_and_composition.ftl" as keyMixtureComponentInformation>
<#import "common_module_product_basic_information.ftl" as keyProductInformation>

<!-- Leave lines 13 to 33 in the template file -->
<#-- Below are all the modules and their names. You can copy and paste any module into your main report in order to reuse its contents -->
<#if csrRelevant??>
<#import "macros_pnec.ftl" as pnec>
<#-- Import common macros and functions for CSR Chapter One -->
<#import "common_module_substance_basic_information.ftl" as keySubstanceInformation>
<#import "common_module_substance_composition.ftl" as keyCompositionInformation>
<#import "common_module_nanoforms.ftl" as keyNanoformInformation>
<#import "common_module_assessment_entities.ftl" as keyAssessmentInformation>
<#import "common_module_linked_categories.ftl" as keyCategoryInformation>
<#import "common_module_physical_chemical_summary_properties.ftl" as keyPhysChemInformation>
<#-- Import common macros and functions for CSR Chapter Three -->
<#import "common_module_classification_and_labelling.ftl" as keyClassifcationAndLabellingInformation>
<#-- Import common macros and functions for CSR Chapter Four -->
<#import "common_module_environmental_fate_properties.ftl" as keyEnvironmentalFateAndProperties>
<#-- Import common macros and functions for CSR Chapter Five -->
<#import "common_module_human_health_hazard_assessment.ftl" as keyHumanHealthHazardAssessmentInformation>
<#-- Import common macros and functions for CSR Chapter Six -->
<#import "common_module_human_health_hazard_assessment_of_physicochemical_properties.ftl" as keyHumanHealthHazardAssessmentOfPhysChemPropInformation>
<#-- Import common macros and functions for CSR Chapter Eight -->
<#import "common_module_pbt_and_vpvb_assessment.ftl" as keyPbtandvPvBassessment>
</#if>
		
<!-- Leave lines 36 and 37 in the template file -->
<#-- Initialize the macro and use genericRelevant?? to include or !(genericRelevant??) exclude content from FTLs for your report -->
<@com.initiRelevanceGenericReports relevance/>

<!-- Leave lines 40 to 44 in the template file -->
<#-- Initialize the following variables:
	* _dossierHeader (:DossierHashModel) //The header document of a proper or 'raw' dossier, can be empty
	* _subject (:DocumentHashModel) //The dossier subject document or, if not in a dossier context, the root document, never empty 
	-->
<@com.initializeMainVariables/>	

<!-- Leave lines 48 to 51 in the template file -->
<#-- get your root substance or mixture document (this is the main subject of the report) -->
<#assign substance = com.getReportSubject(rootDocument) />
<#assign mixture = com.getReportSubject(rootDocument) />
<!-- use the variable *activeSubstances to indicate if a study or summary is part of an active substance component of a Mixture/Product -->
<#assign componentsList = getActiveSubstanceComponents(mixture) />
<#assign activeSubstances = getActiveSubstanceComponentsList(componentsList)/>

<!-- Leave lines 56 to 59 in the template file -->
<#assign locale = "en" />
<#assign sysDateTime = .now>
<book version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude">

<!-- The report can be generated from both a Substance or a Mixture/Product. This is an example template file to extract basic Substance information, select data from studies on aquatic algae and plants for both Substances and Mixture/Products (main Mixture and Active Substance components), as well as information on the Mixture/Product identity -->

	<!-- Standard docbook cover page tags: <info> <title> <cover> -->
    <info>
        <title>An example report using modules and their macros</title>
		<cover>
            <para>
				<!-- use the common module 'macros_common.ftl' known as 'com' and the relevant macro 'substanceName' to get the substance name and reference substance name, plus hyperlinks directly to the substance if the report is generated from the web interface -->
				<@com.substanceName _subject/>	
			</para>
        </cover>
		<!-- Leave line 71, this is displaying the header footer information of the report, which includes the IUCLID version number and date on which the report is generated -->
		<@com.metadataBlock left_header_text central_header_text right_header_text left_footer_text central_footer_text right_footer_text />
    </info>
	
		<!-- Standard docbook layout <chapter> <title> <section> <title> -->	
		<chapter label="1">
		<title role="HEAD-1">Administrative information</title>			
				
			<section>
			<title role="HEAD-2">Legal entity information</title>	
			</section>
			
		</chapter>		
		
		<!-- Standard docbook layout <chapter> <title> <section> <title> -->	
		<chapter label="2">
		<title role="HEAD-1">Aquatic algae and plant study details</title>
			
			<section>
			<title role="HEAD-2">Aquatic algae</title>
				<!-- use the environmental hazard assessment module 'keyEnvironmentalHazardAssessment' and the relevant macro to get the study details for Aquatic algae, in this case 'toxicityToAquaticAlgaeStudies' -->
				<@keyEnvironmentalHazardAssessment.toxicityToAquaticAlgaeStudies _subject/>			
			</section>
			
			<section>
			<title role="HEAD-2">Aquatic plant</title>
				<!-- use the environmental hazard assessment module 'keyEnvironmentalHazardAssessment' and the relevant macro to get the study details for Aquatic plant, in this case 'toxicityToAquaticPlantStudies' -->
				<@keyEnvironmentalHazardAssessment.toxicityToAquaticPlantStudies _subject/>
			</section>
			
			<section>
			<title role="HEAD-2">Summary discussion of aquatic algae and plant</title>	
				<!-- use the environmental hazard assessment module 'keyEnvironmentalHazardAssessment' and the relevant macro to get the summary details for Aquatic algae, in this case 'toxicityToAquaticAlgaeSummary' -->
				<@keyEnvironmentalHazardAssessment.toxicityToAquaticAlgaeSummary _subject/>
				
				<!-- use the environmental hazard assessment module 'keyEnvironmentalHazardAssessment' and the relevant macro to get the summary details for Aquatic plant, in this case 'toxicityToAquaticPlantSummary' -->
				<@keyEnvironmentalHazardAssessment.toxicityToAquaticPlantSummary _subject/>
			</section>
			
			<!-- The special #if Directive 'isMixture' caters for Mixture-specific IUCLID documents and for common modules which are re-purposed for the Components of a Mixture. The special Directive is not needed for Studies and Summaries of the main Mixture/Product -->	
			<#if isMixture(rootDocument)>
				<section>				
					<title role="HEAD-2">Product information</title>
					<!-- use the Mixture/Product module 'keyProductInformation' and the relevant macro to get the basic information on the Mixture/Product, in this case 'productInformation'. The product information is part of the main Mixture/Product and so '_subject' is still used as the parameter -->	
					<@keyProductInformation.productInformation _subject />
				</section>
				
				<!-- The special #if Directive 'activeSubstances' should be used for common modules which are fetching information from Active Substance Components of a Mixture/Product. The special Directive is not needed for Studies and Summaries of the main Mixture/Product -->	
				<#if activeSubstances?has_content>
					<section>					
					<title role="HEAD-2">Identity of the active substance</title>
						<!-- use the Mixture/Product module 'keyMixtureComponentInformation' and the relevant macro to get the identity or composition of the Active Substance using either 'activeSubstanceIdentity' or 'activeSubstanceComposition'. Information from the active substance component means that instead of '_subject' the parameter to use is '_activeSubstance' -->	
						<@keyMixtureComponentInformation.activeSubstanceIdentity activeSubstances />
						
						<section>					
						<title role="HEAD-3">Composition of the active substance</title>
							<@keyMixtureComponentInformation.activeSubstanceComposition activeSubstances />					
						</section>
						
					</section>
				
					<section>		
					<title role="HEAD-2">Active Substance endpoint - Aquatic plant</title>
						<!-- reuse the environmental hazard assessment module 'keyEnvironmentalHazardAssessment' and get the studies or summaries for the active substance component of a Mixture/Product by using instead of '_subject', '_activeSubstance' -->	
						<@keyEnvironmentalHazardAssessment.toxicityToAquaticPlantStudies activeSubstances/>
					</section>
				</#if>
			</#if>			
	</chapter>
	
	<chapter label="3">
		<title role="HEAD-1">Annex: References</title>
		<!-- include the Annex 1 module 'Annex1_literature_references.ftl' to list the additional literature reference information in an annex -->
		<#include "Annex1_literature_references.ftl" encoding="UTF-8" />
	</chapter>
	
	<chapter label="4">
		<title role="HEAD-1">Annex: Information on Test Material</title>
		<!-- include the Annex 2 module 'Annex2_test_materials.ftl' to list the additional test material information in an annex -->
		<#include "Annex2_test_materials.ftl" encoding="UTF-8" />
	</chapter>
	
</book>

<!-- Macros and functions for reports containing an active substance component of a mixture or a report generating mixture-specific documents -->
<#function getActiveSubstanceComponents mixture>
	
	<#local componentsList = []/>
	
	<#if !(rootDocument.documentType=="MIXTURE")>
	<#return [] />
	<#else>
	
		<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
		
		<#list compositionList as composition>
			<#local componentList = composition.Components.Components/>
		
			<#list componentList as component>
				<#if component.Reference?has_content && isComponentActiveSubstance(component)>
					<#local substance = iuclid.getDocumentForKey(component.Reference)/>
					<#if substance?has_content && substance.documentType=="SUBSTANCE">
						<#local componentsList = com.addDocumentToSequenceAsUnique(substance, componentsList)/>					
					</#if>
				</#if>		
			</#list>
		</#list>
	
	</#if>
	
	<#return componentsList />
</#function>

<#function getActiveSubstanceComponentsList componentsList>
	<#if componentsList?has_content>
		<#list componentsList as activeSubstances>
			<#return activeSubstances />
		</#list>
	</#if>
<#return [] />
</#function>

<#function isComponentActiveSubstance component>
	<#return component.Function?has_content && com.picklistValueMatchesPhrases(component.Function, ["active substance"]) />
</#function>

<#function isMixture rootDocument>
	<#if rootDocument.documentType=="MIXTURE">
		<#return true>
		<#else>
			<#return false>
	</#if>
</#function>